#ifndef _Handle_PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve_HeaderFile
#define _Handle_PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PStandard_ArrayNode_HeaderFile
#include <Handle_PStandard_ArrayNode.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PStandard_ArrayNode);
class PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve);

class Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve) : public Handle(PStandard_ArrayNode) {
  public:

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)():Handle(PStandard_ArrayNode)() {} 
    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)(const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)& aHandle) : Handle(PStandard_ArrayNode)(aHandle) 
     {
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)(const PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve* anItem) : Handle(PStandard_ArrayNode)((PStandard_ArrayNode *)anItem) 
     {
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)& operator=(const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve)& operator=(const PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve* operator->() const 
     {
      return (PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
